Package ru.bitel.bgbilling.modules.bill.common.service

# Interface AttributeService

    public interface AttributeService

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.List<Attribute>` | `attributeList​(int contractId)` | Получить список реквизитов договора.
  `java.util.List<AttributeType>` | `attributeTypeList()` | Получение типов реквизитов.
  `void` | `deleteAttribute​(int contractId, int attributeId)` | Удаление реквизита договора.
  `void` | `deleteAttributeType​(int attributeTypeId)` | Удаление типа реквизита.
  `void` | `updateAttribute​(Attribute attribute)` | Обновление(id>0)/создание(id<=0) реквизита договора.
  `void` | `updateAttributeType​(AttributeType attributeType)` | Обновление(id>0)/создание(id<=0) типа реквизита договора.

- ## Method Details

  - ### updateAttributeType

    void updateAttributeType​(AttributeType attributeType) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Обновление(id>0)/создание(id<=0) типа реквизита договора.
    Parameters:
      `attributeType` - - тип реквизита.
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### deleteAttributeType

    void deleteAttributeType​(int attributeTypeId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Удаление типа реквизита.
    Parameters:
      `attributeTypeId` - - код типа реквизита.
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### attributeTypeList

    java.util.List<AttributeType> attributeTypeList() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Получение типов реквизитов.
    Returns:
      - список типов реквизитов.
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### attributeList

    java.util.List<Attribute> attributeList​(int contractId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Получить список реквизитов договора.
    Parameters:
      `contractId` - - код договора.
    Returns:
      - список
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### updateAttribute

    void updateAttribute​(Attribute attribute) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Обновление(id>0)/создание(id<=0) реквизита договора.
    Parameters:
      `attribute` - - реквизит.
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### deleteAttribute

    void deleteAttribute​(int contractId, int attributeId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Удаление реквизита договора.
    Parameters:
      `contractId` - - код договора.
      `attributeId` - - код реквизита.
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`